<?php
require(dirname(__FILE__)."/global.php");
require(dirname(__FILE__)."/inc/ditu.inc.php");

$rows=5; //每页显示几条

unset($pointMsgAarray,$pointLatLngAarray);

$listdb = google_map_data($rows);

foreach($listdb AS $key=>$rs){
	$rs[posttime] = date("Y-m-d H:i",$rs[posttime]);
	$rs[picurl] = tempdir($rs[picurl]);
	$listdb[$key]=$rs;
	$pointLatLngAarray[] = "'$rs[gg_maps]'";	
	$pointMsgAarray[]="'商家名称：<A HREF=\"$webdb[www_url]/home/?uid=$rs[uid]\" target=\"_blank\"><b>$rs[title]</b></A><br>联系电话：<b>$rs[qy_contact_tel]</b><br><A HREF=\"$webdb[www_url]/home/?uid=$rs[uid]\" target=\"_blank\"><img width=150 height=120 border=0 src=\"$rs[picurl]\"></A>'";
}

$pointMsg=implode(',',$pointMsgAarray);
$pointLatLng=implode(',',$pointLatLngAarray);
$showpage = getpage("","","?fid=$fid",$rows,$totalNum);

$cityname=$city_DB[name][$city_id];
$cityname || $cityname='北京';
eregi("^[a-z0-9 ]+$",$cityname) || $cityname='中国'.$cityname;	//中文城市名要加上中国二字	

require(getTpl("ditu"));
?>